package com.ximai.mes.dv.domain.devBrandQuotation;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 品牌报价工序工装夹具对象 dev_brand_quotation_process_tool
 *
 * @author generator
 * @date 2024-01-28
 */
public class DevBrandQuotationProcessTool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long brandQuotationProcessToolId;

    /** 品牌报价单ID */
    @Excel(name = "品牌报价单ID")
    private Long brandQuotationId;

    /** 品牌报价工序ID */
    @Excel(name = "品牌报价工序ID")
    private Long brandQuotationProcessId;

    /** 检验项ID */
    @Excel(name = "检验项ID")
    private Long toolId;

    /** 要求数量 */
    @Excel(name = "要求数量")
    private Long quantity;

    public void setBrandQuotationProcessToolId(Long brandQuotationProcessToolId)
    {
        this.brandQuotationProcessToolId = brandQuotationProcessToolId;
    }

    public Long getBrandQuotationProcessToolId()
    {
        return brandQuotationProcessToolId;
    }
    public void setBrandQuotationId(Long brandQuotationId)
    {
        this.brandQuotationId = brandQuotationId;
    }

    public Long getBrandQuotationId()
    {
        return brandQuotationId;
    }
    public void setBrandQuotationProcessId(Long brandQuotationProcessId)
    {
        this.brandQuotationProcessId = brandQuotationProcessId;
    }

    public Long getBrandQuotationProcessId()
    {
        return brandQuotationProcessId;
    }
    public void setToolId(Long toolId)
    {
        this.toolId = toolId;
    }

    public Long getToolId()
    {
        return toolId;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandQuotationProcessToolId", getBrandQuotationProcessToolId())
            .append("brandQuotationId", getBrandQuotationId())
            .append("brandQuotationProcessId", getBrandQuotationProcessId())
            .append("toolId", getToolId())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
